|
- bash - What are the special dollar sign shell variables . . . - Stack . . .
In Bash, there appear to be several variables which hold special, consistently-meaning values For instance, myprogram amp;; echo $! will return the PID of the process which backgrounded myprog
- How do AND and OR operators work in Bash? - Stack Overflow
8 In bash, and || have equal precendence and associate to the left See Section 3 2 3 in the manual for details So, your example is parsed as $ (echo this || echo that) echo other And thus only the left-hand side of the or runs, since that succeeds the right-hand side doesn't need to run
- bash - What is the purpose of in a shell command? - Stack Overflow
$ command one command two the intent is to execute the command that follows the only if the first command is successful This is idiomatic of Posix shells, and not only found in Bash It intends to prevent the running of the second process if the first fails You may notice I've used the word "intent" - that's for good reason
- What does $# mean in bash? - Ask Ubuntu
Furthermore, when you use bash -c, behavior is different than if you run an executable shell script, because in the latter case the argument with index 0 is the shell command used to invoke it
- shell - Bash regex =~ operator - Stack Overflow
What is the operator =~ called? I'm not sure it has a name The bash documentation just calls it the =~ operator Is it only used to compare the right side against the left side? The right side is considered an extended regular expression If the left side matches, the operator returns 0, and 1 otherwise Why are double square brackets required when running a test? Because =~ is an operator of
- What does set -e mean in a Bash script? - Stack Overflow
31 set -e The set -e option instructs Bash to immediately exit if any command 1 has a non-zero exit status You wouldn't want to set this for your command-line shell, but in a script it's massively helpful
- Meaning of $? (dollar question mark) in shell scripts
What does echo $? mean in shell programming? true echo $? # echoes 0 false echo $? # echoes 1 From the manual: (acessible by calling man bash in your shell) ? Expands to the exit status of the most recently executed foreground pipeline By convention an exit status of 0 means success, and non-zero return status means failure Learn more about exit statuses on wikipedia There are other special
- bash - Shell equality operators (=, ==, -eq) - Stack Overflow
If not quoted, it is a pattern match! (From the Bash man page: "Any part of the pattern may be quoted to force it to be matched as a string ") Here in Bash, the two statements yielding "yes" are pattern matching, other three are string equality:
|
|
|